#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Stream
Summary:	XML::Stream - XML streams interface for Perl
Summary(pl.UTF-8):	XML::Stream - interfejs do strumieni XML dla Perla
Name:		perl-XML-Stream
Version:	1.23
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1c0908384fe57a1c3c529071a8b882af
Patch0:		%{name}-warnings.patch
URL:		http://search.cpan.org/dist/XML-Stream/
%{?with_tests:BuildRequires:	perl-Authen-SASL}
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-Unicode-String >= 2.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(HTTP::ProxyAutoConfig)'

%description
This module provides you with access to XML Streams. An XML Stream is
just that. A stream of XML over a connection between two computers.

%description -l pl.UTF-8
Ten moduł daje dostęp do strumieni XML. Strumień XML jest po prostu
tym, co mówi nazwa - strumieniem XML po połączeniu między dwoma
komputerami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
for i in Stream.pm Stream/*.pm Stream/*/*.pm; do
	%{__perl} -pi -e 's/^(use 5.006_)0(01;)(.*)$/$1$2$3/' lib/XML/$i
done
%patch0 -p1

%build
echo -e "y\ny\ny\n" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	UNINST=0 \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES INFO
%{perl_vendorlib}/XML/*
%{_mandir}/man3/*
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-Stream.git;a=log;h=master

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> d11b83a
- release 2 (by relup.sh)

* Wed Feb 23 2011 sparky <sparky@pld-linux.org> 51a10f8
- disable tests: require dns resolver which is not allowed on builders
- tests BR: perl-Encode

* Wed Feb 23 2011 areq <areq@pld-linux.org> 45fd77b
- better URL for source

* Wed Feb 23 2011 areq <areq@pld-linux.org> 0801373
- change url for fetching to df

* Wed Feb 23 2011 areq <areq@pld-linux.org> 3cb8b8d
- 1.23

* Fri Aug 22 2008 Jakub Bogusz <qboosh@pld-linux.org> d7fac08
- complete
- License is "same as perl"

* Fri Aug 22 2008 Elan Ruusamäe <glen@pld-linux.org> a03d26f
- generic url; rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0d65d34
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 04776a0
- converted to UTF-8

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> b463ab2
- rel. 2

* Sun Jan 23 2005 Maciej Pijanka <agaran@pld-linux.org> af1f7f1
- small patch fixing compare with undefined scalar

* Sun Jan 23 2005 Maciej Pijanka <agaran@pld-linux.org> cb0fe42
- small fixup for compare with undef data

* Thu Dec 02 2004 ankry <ankry@pld-linux.org> 38e80e8
- autoupdated to 1.22

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6a30d46
- formatting

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 4e83169
- updated to 1.21

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> b4fadfb
- perl-Authen-SASL is requires when doing tests

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> ed24e3a
- updated to 1.19

* Wed Jan 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 35b8452
- added tests, longer descriptions, BR for perl with vendor dirs

* Mon Sep 22 2003 migo <migo@pld-linux.org> d46ae18
- up to 1.17

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> b7d0793
- spaces -> tab

